> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finhost.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Receive internal recipient account  

> Receive recipient info and default account



## OpenAPI

````yaml get /recipient/search/{currency}
openapi: 3.0.0
info:
  title: FinHost WLB Client API
  description: WLB Client REST API openApi 3.0 specification
  contact:
    email: odv4mail@gmail.com
  version: 1.0.0
servers:
  - url: https://client-api.dev.finhost.io
  - url: https://client-api.stage-v2.finhost.io
  - url: https://client-api-atlaspay-prod.finhost.io
security: []
tags:
  - name: Client
    description: Information about service clients
  - name: Sumsub
    description: KYC service
  - name: Contract
    description: Operations with clients contracts
  - name: Account
    description: Operations with clients accounts
  - name: Transfer
    description: Operations with clients assets
  - name: Recipient
    description: Operations with recipients
  - name: Statement
    description: List of the client statments
  - name: Company
    description: List of the client statments
paths:
  /recipient/search/{currency}:
    get:
      tags:
        - Recipient
      summary: 'Receive internal recipient account  '
      description: Receive recipient info and default account
      parameters:
        - name: currency
          in: path
          description: Currency code (ISO 4217)
          required: true
          style: simple
          explode: false
          schema:
            maxLength: 3
            minLength: 3
            type: string
        - name: attribute
          in: query
          description: Attribute to use for search
          required: true
          style: form
          explode: true
          schema:
            type: string
            enum:
              - phone
              - email
          example: phone
        - name: value
          in: query
          description: Value of the search attribute
          required: true
          style: form
          explode: true
          schema:
            type: string
          example: '+380689235598'
      responses:
        '200':
          description: 200 response
          headers:
            Access-Control-Allow-Origin:
              style: simple
              explode: false
              schema:
                type: string
            Content-Type:
              style: simple
              explode: false
              schema:
                type: string
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RecipientAccount'
      security:
        - bearerAuth: []
components:
  schemas:
    RecipientAccount:
      required:
        - account
        - client
        - currency
        - isRecipientFound
        - isTransferPossible
        - name
        - surname
      properties:
        isTransferPossible:
          type: boolean
          description: True if transfer is possible
          example: true
        isRecipientFound:
          type: string
          description: True if recipient was found
          example: 'true'
        name:
          type: string
          description: Recipient name
          example: Mark
        surname:
          type: string
          description: Recipient surname
          example: Smith
        client:
          type: string
          description: Recipient identifier
          format: uuid
          example: 39eab26c-8788-4375-810c-9807aaf98191
        account:
          type: string
          description: Recipient default account identifier for appropriate currency
          format: uuid
          example: 39eab26c-8788-4375-810c-9807aaf98191
        currency:
          maxLength: 3
          minLength: 3
          type: string
          description: Currency code (ISO 4217)
          example: USD
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````